slepc-3.10.1 2018-10-23
Report Typos and Errors

# MFNAllocateSolution

Allocate memory storage for common variables such as the basis vectors.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNAllocateSolution(MFN mfn,PetscInt extra)

Collective on MFN

### Input Parameters

| mfn | - matrix function context
| extra | - number of additional positions, used for methods that require a working basis slightly larger than ncv

### Developers Note

This is PETSC_EXTERN because it may be required by user plugin MFN implementations.

Location: src/mfn/interface/mfnsetup.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages